igeo

## Class ISubMap

- java.lang.Object
- - igeo.IMap
  - - igeo.ISubMap

-     public class ISubMap
      extends IMap

  A subclass of IMap defined by extracting part of another map.
  Author:
    Satoru Sugihara

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `IMap` | `map`
    `double` | `u1`
    `double` | `u2`
    `double` | `v1`
    `double` | `v2`

    - ### Fields inherited from class igeo.IMap

      `defaultDensityHeight, defaultDensityWidth, defaultExportHeight, defaultExportWidth, densityMinDelta, uIntegration, vIntegration`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ISubMap(IMap mp, double ustart, double uend, double vstart, double vend)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `get(double u, double v)` A main method to get a value of the map.

    - ### Methods inherited from class igeo.IMap

      `createImage, createImage, flipU, flipV, get, initDensityMapU, initDensityMapU, initDensityMapV, initDensityMapV, matchUDensityWithMap, matchUDensityWithMap, matchVDensityWithMap, matchVDensityWithMap, project, projectU, projectV, saveAsJPEG, saveAsJPEG, saveAsPNG, saveAsPNG, scaleDensityMapU, scaleDensityMapV`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### map

          public IMap map

    - #### u1

          public double u1

    - #### u2

          public double u2

    - #### v1

          public double v1

    - #### v2

          public double v2

  - ### Constructor Detail

    - #### ISubMap

          public ISubMap(IMap mp,
                         double ustart,
                         double uend,
                         double vstart,
                         double vend)

  - ### Method Detail

    - #### get

          public double get(double u,
                            double v)

      Description copied from class: `IMap`
      A main method to get a value of the map. This method should be overwritten by child classes to have preferable behavior returning value of the map ranging 0.0 - 1.0.
      Overrides:
        `get` in class `IMap`
      Parameters:
        `u` - u coordinates ranges 0.0 - 1.0
        `v` - v coordinates ranges 0.0 - 1.0
      Returns:
        value of the map.